#pragma once

#include "type.h"

struct Level {
	int w, h, s; /* width, height, size */
	tile_t *data;
};

void level_init(int lvl_id, int chara);
void level_draw(void);
tile_t level_get_px(int x, int y);
tile_t level_get_tile(int x, int y);
int level_count(tile_t tile);
int level_search_i(tile_t tile, int occ);
struct Vec2 level_search_s(tile_t tile, int occ);
struct Vec2 level_get_dim(void);
void level_delete_tile(tile_t tile);
