#pragma once
#include "type.h"

struct Particle {
	struct Vec2 pos;
	struct Vec2 dir;
	int active, id, life;
};

struct Particle_table {
	int n;
	struct Particle *particles;
};

void particle_table_init(void);
void particle_table_update(void);
void particle_table_draw(int timer);
void particle_destroy(struct Particle *particle);
void particle_new(int x, int y, int id, int life);
int particle_nb(void);
