#pragma once
#include "type.h"

struct Cooldown {
	int up, down, side, neutral;
};

struct Player {
	struct Vec2 pos;
	struct FVec2 spd;
	struct FVec2 rem;
	struct Vec2 dir;
	struct Cooldown cooldown;
	int attack, last_attack, id, active, life, djump;
};

void player_init(int chara);
void player_update(void);
void player_draw(int frame);
void player_reset_attack();
struct Vec2 player_get_pos(void);
int player_get_life(void);
