#include "conf.h"
#include "lzy.h"

static void draw_num(int i, int x, int y) {
	LZY_DrawTile(35 + i % 2 + (i / 2) * TILESET_W, x, y);
}

void overlay_draw(int x, int y, int id, int life) {	
	LZY_DrawTileEx(id == -1 ? 243 : 191 + id * 4, x, y, 4, 2);
	if (life > 100) draw_num(life / 100 , x + 12, y + 12);
	if (life > 10) draw_num((life % 100 / 10), x + 30, y + 12);
	draw_num(life % 10, x + 48, y + 12);
	LZY_DrawTile(60, x + 62 , y + 12);
}
