#pragma once
#include "type.h"

struct Attack {
	struct Vec2 pos;
	struct FVec2 dir;
	int type;
	int active;
	int w, h;
	int life;
	int ice;
	int dam;
};

struct Attack_table {
	int n;
	struct Attack *attacks;
};

void attack_table_init(void);
void attack_table_update(void);
void attack_table_draw(int timer);
void attack_destroy(struct Attack *attack);
int attack(int x, int y, int dir_x, int dir_y, int type);
int attack_nb(void);
struct Attack * attack_table_collide(int x, int y, int w, int h, int hitbox);
